[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: db_recover gives program version mismatch


It didn't help.

Even i tried new verion of bdb 5.3

i installed bdb to /apps/db5 with default options  i.e --prefix=/apps/db5 only

Then i exported

[root@mmprodam01 openldap-2.4.20]# echo $LDFLAGS
-L/usr/local/lib -L/apps/db5/lib -R/apps/db5/lib
[root@mmprodam01 openldap-2.4.20]# echo $LD_LIBRARY_PATH
[root@mmprodam01 openldap-2.4.20]# echo $CPPFLAGS

Than i started compiling ldap 2.4.20  with below options

[root@mmprodam01 openldap-2.4.20]#  ./configure --prefix=/app/openlda2p --enable-bdb --with-tls --enable-perl=yes --enable-slapd=yes --with-cyrus-sasl --enable-crypt=yes --enable-modules  --enable-backends=yes --enable-monitor=yes --enable-overlays=yes --enable-ppolicy=yes --enable-syncprov=yes --enable-accesslog=yes --enable-auditlog=yes --enable-wrappers=yes

Still i am getting below errors

checking db.h usability... yes
checking db.h presence... yes
checking for db.h... yes
checking for Berkeley DB major version in db.h... 5
checking for Berkeley DB minor version in db.h... 3
checking if Berkeley DB version supported by BDB/HDB backends... yes
checking for Berkeley DB link (default)... no
configure: error: BDB/HDB: BerkeleyDB not available

Can you please point me where i am going wrong.

On Fri, Dec 21, 2012 at 8:04 AM, Aaron Richton <richton@nbcs.rutgers.edu> wrote:
On Fri, 21 Dec 2012, anil beniwal wrote:

[root@mmprodam01 ~]# ldd /apps/db4/bin/db_recover
    libdb-4.8.so => /apps/db4/lib/libdb-4.8.so (0x00007f1ba4c31000)

That's what I'd hope for. I wonder if you somehow got the system's db4.7 headers when you were compiling your local copy of db4.8? (Although I'd think that'd #error out...hmm.)

You might be able to strings(1) or similarly dump the /apps/db4/lib/libdb-4.8.so and try to see what it thinks.


Anil Beniwal